/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.jbpm.db;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author Guillaume Porcher
 */
public class CommandTests {

  /**
   * Creates a suite of all functional tests that need to run in 
   * persistent and in non-persistent fashion.
   */
  public static Test baseTestSuite(){
    TestSuite suite = new TestSuite();
    suite.addTestSuite(ProcessDefinitionTest.class);
    return suite;
  }
  
  /**
   * multiplies the testSuite per DB configuration.
   */
  public static Test databasesTestSuite(){
    TestSuite suite = new TestSuite();
    suite.addTest(new HsqldbTestSetup(baseTestSuite()));
    return suite;
  }
  
  /**
   * multiplies the dbTestSuite per JPA implementation.
   */
  public static Test suite() {
    TestSuite suite = new TestSuite("org.jbpm.db");
    //$JUnit-BEGIN$
    suite.addTest(new NonPersistentTestSetup(baseTestSuite()));
    suite.addTest(new HibernateTestSetup(databasesTestSuite()));
    // suite.addTest(new ToplinkTestSetup(dbTestSuite()));
    // suite.addTest(new OpenJpaTestSetup(dbTestSuite()));
    //$JUnit-END$
    return suite;
  }

}
