/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jbpm.db;

import java.util.Properties;

import org.jbpm.client.CommandExecutor;
import org.jbpm.client.CommandExecutorImpl;
import org.jbpm.env.EnvironmentFactory;

import junit.extensions.TestSetup;
import junit.framework.Test;

/**
 * @author Tom Baeyens
 */
public class HibernateTestSetup extends TestSetup {

  public HibernateTestSetup(Test test) {
    super(test);
  }

  public void setUp() {
    Properties databaseConnectionProperties = Configuration.getDatabaseConnectionProperties();
    
    // TODO build an environment factory with a persistence service that uses the databaseConnectionProperties
    EnvironmentFactory environmentFactory = null;

    // create the command executor and set it in the configuration
    Configuration.setEnvironmentFactory(environmentFactory);
  }
  
  public void tearDown() {
    Configuration.setEnvironmentFactory(null);
  }
}
